%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-8tracks
Version:        5.2
Release:        5%{?dist}
Summary:        8tracks for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-8tracks
Source0:        https://github.com/tiliado/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.11.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of 8tracks into your linux desktop via Nuvola Player.

%prep
%setup -q


%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}App8tracks.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}App8tracks.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/8tracks/
%{_datadir}/dbus-1/services/%{unique_name}App8tracks.service


%changelog
* Thu May 10 2018 Martin Gansser <martinkg@fedoraproject.org> - 5.2-5
- Rebuilt for new nuvolaruntime-4.11.0 and nuvolasdk-4.11.0

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.2-3
- Remove obsolete scriptlets

* Fri Aug 04 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.2-2
- correct %%{name}.metainfo.xml

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.2-1
- initial build
